Bug 852625 - [REST-API] Error 500 on str to UUID conversion failure
[REST-API] Error 500 on str to UUID conversion failure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ori Liel
Elena
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 03:08 EDT by Michael Pasternak
Modified: 2016-02-10 14:36 EST (History)
9 users (show)

See Also:
Fixed In Version: si18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-08-29 03:08:16 EDT
Description of problem:

Error 500 on str to UUID conversion failure, when user supply
inconvertible string,  server reply with:

status: 500
reason: Internal Server Error
detail: HTTP Status 500


Expected results:

status: 400
reason: Bad Request
detail: xxx cannot be converted to UUID
Comment 1 Ori Liel 2012-08-29 03:53:35 EDT
can you give the exact uml to reproduce? 

Becuase, for example: 

  .../api/vms/!@#!@#!@#

works well and returns 404
Comment 2 Michael Pasternak 2012-08-29 04:07:54 EDT
not in url ori, but in the entity:

DELETE /api/storagedomains/xxx

<storage_domain>
 <host id="!@#!@#!@#">
</storage_domain>
Comment 3 Ori Liel 2012-08-30 07:24:56 EDT
patch posted, http://gerrit.ovirt.org/#/c/7603/
Comment 4 Ori Liel 2012-09-05 07:38:29 EDT
merged upstream, 

  commit c5665533dcf31d74bd7a7fccacd9086e4d487b7e

patch posted downstream: 

  https://gerrit.eng.lab.tlv.redhat.com/#/c/1847 
(awaiting approval)
Comment 5 Ori Liel 2012-09-06 09:24:11 EDT
merged downstream:

  commit efc5b7e2f1e8bb3f13702923865d0bb557729b8c
Comment 6 Elena 2012-09-16 01:58:49 EDT
Verified in si18

Note You need to log in before you can comment on or make changes to this bug.